[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IEnumerable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Interface to retrieve an enumerator from a class.

## Declaration

Source position: objpash.inc line 280

`type IEnumerable = interface(IInterface)`
`function GetEnumerator;` |  | Return an enumerator interface for this class
`end;`

## Inheritance

`IEnumerable` |  | Interface to retrieve an enumerator from a class.
`IInterface`
?

## Description

IEnumerable can be used to get an enumerator from a class. If a class implements IEnumerable, it can return an enumerator interface IEnumerator.

## See also

IEnumerator |  | Enumerator support interface